Event.StatusChange (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.transport

## Class Event.StatusChange

- java.lang.Object
- - org.apache.cassandra.transport.Event
  - - org.apache.cassandra.transport.Event.StatusChange

- Enclosing class:
    Event

      public static class Event.StatusChange
      extends Event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Event.StatusChange.Status`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Event

      `Event.SchemaChange, Event.StatusChange, Event.TopologyChange, Event.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.InetSocketAddress` | `node`
    `Event.StatusChange.Status` | `status`

    - ### Fields inherited from class org.apache.cassandra.transport.Event

      `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `protected int` | `eventSerializedSize(int version)`
    `int` | `hashCode()`
    `static Event.StatusChange` | `nodeDown(java.net.InetAddress host, int port)`
    `static Event.StatusChange` | `nodeUp(java.net.InetAddress host, int port)`
    `protected void` | `serializeEvent(io.netty.buffer.ByteBuf dest, int version)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.transport.Event

      `deserialize, serialize, serializedSize`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### status

          public final Event.StatusChange.Status status

    - #### node

          public final java.net.InetSocketAddress node

  - ### Method Detail

    - #### nodeUp

          public static Event.StatusChange nodeUp(java.net.InetAddress host,
                                  int port)

    - #### nodeDown

          public static Event.StatusChange nodeDown(java.net.InetAddress host,
                                    int port)

    - #### serializeEvent

          protected void serializeEvent(io.netty.buffer.ByteBuf dest,
                            int version)

      Specified by:
        `serializeEvent` in class `Event`

    - #### eventSerializedSize

          protected int eventSerializedSize(int version)

      Specified by:
        `eventSerializedSize` in class `Event`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation